#include "camera/camera.h"
#include "vector/vec.h"
#include "window/window.h"

vec2i_t project_point(vec3f_t point, const window_t *wnd,
                      const camera_t *camera, vec3f_t viewport) {
  if (point.z == 0.0f) {
    return (vec2i_t){.x = 0, .y = 0};
  }

  f32 x = point.x * viewport.x / point.z;
  f32 y = point.y * viewport.y / point.z;

  return viewport_to_window(wnd, x, y, viewport);
}
